2018-08-17 14:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002967OpenFOAM[All Projects] Bugpublic2018-06-25 18:50
Reportermbuergle 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilitysometimes
StatusclosedResolutionunable to reproduce 
PlatformLinux Ubuntu 16.04OSOtherOS Version(please specify)
Product Versiondev 
Target VersionFixed in Version 
Summary0002967: Problem with mixtureKEpsilon at epsilonWallfunction BCs intersected by processors boundaries.
DescriptionWhen running in parallel, the mixtureKEpsilon turbulence model leads to unrealistic patterns in the fields of epsilon.air/epsilon.water (and consequently in the k.air/k.water fields) at *epsilonWallfunction* boundary condition that is intersected by processor boundaries. Cell values of k and epsilon change abruptly from one processor block to the next. Also the residuals of epsilonm stay at around 1, while all other residuals seem to converge.
I noticed that in the time directories of the individual processors, the boundary condition for epsilon.air/epsilon.water previously defined as epsilonWallFunction in the 0 directory, is automatically changed to a fixedValue BC.
The same case setup, but with the continuousGasKEpsilon turbulence model caused no problems.
Steps To Reproduce1. Change numberOfSubdomains in decomposeParDict to number of available cores. (I used 35 subdomains)
2. Run decomposePar
3. Run case in parallel until approx. 0.1s
4. Inspect epsilon.air, epsilon .water or epsilonm field with paraview: view the long stretch somewhere between -30.5m<x<0m and rescale range to “visible data range”.
Additional InformationPlease note that i am running on OpenFOAM v1712 not 5.0, but on cfd-online.com i read that this is the official bu-reporting Website.

The initial conditions for U.water, U.air, p, p_rgh, etc. in the 0 directory are based on a stable laminar simulation of the case. Unfortunately, the case is too big to upload it directly here, but it can be found under: https://polybox.ethz.ch/index.php/s/CQKaYP9WvJKoIc4

Thank you in advance for the consideration!
TagsmixtureKEpsilon, twoPhaseEulerFoam
Attached Files
  • zip file icon screenshots.zip (785,994 bytes) 2018-06-01 15:42
  • zip file icon screenshots-2.zip (317,622 bytes) 2018-06-04 10:43
  • ? file icon checkMeshLog (3,123 bytes) 2018-06-08 07:43 -
    /*---------------------------------------------------------------------------*\
    | =========                 |                                                 |
    | \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
    |  \\    /   O peration     | Version:  dev                                   |
    |   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
    |    \\/     M anipulation  |                                                 |
    \*---------------------------------------------------------------------------*/
    Build  : dev-7a93d91a808f
    Exec   : checkMesh
    Date   : Jun 07 2018
    Time   : 22:52:49
    Host   : "nike1"
    PID    : 204087
    I/O    : uncollated
    Case   : /home/mbuergle/openfoam/bottomoutlet/tPEF/ProblemCase_mixtureKEpsilon
    nProcs : 1
    sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
    fileModificationChecking : Monitoring run-time modified files using timeStampMaster (fileModificationSkew 10)
    allowSystemOperations : Allowing user-supplied system call operations
    
    // * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
    Create time
    
    Create polyMesh for time = 0
    
    Time = 0
    
    Mesh stats
        points:           2126628
        faces:            6019450
        internal faces:   5669690
        cells:            1948200
        faces per cell:   5.99997
        boundary patches: 6
        point zones:      0
        face zones:       3
        cell zones:       0
    
    Overall number of cells of each type:
        hexahedra:     1948140
        prisms:        60
        wedges:        0
        pyramids:      0
        tet wedges:    0
        tetrahedra:    0
        polyhedra:     0
    
    Checking topology...
        Boundary definition OK.
        Cell to face addressing OK.
        Point usage OK.
        Upper triangular ordering OK.
        Face vertices OK.
        Number of regions: 1 (OK).
    
    Checking patch topology for multiply connected surfaces...
        Patch               Faces    Points   Surface topology                  
        inletWater          500      546      ok (non-closed singly connected)  
        inletAir            200      231      ok (non-closed singly connected)  
        outlet              600      651      ok (non-closed singly connected)  
        bottomoutlet        347860   347981   ok (non-closed singly connected)  
        gate_master         300      336      ok (non-closed singly connected)  
        gate_slave          300      336      ok (non-closed singly connected)  
    
    Checking geometry...
        Overall domain bounding box (-30.5 0 0) (6.7 0.2 1.4)
        Mesh has 3 geometric (non-empty/wedge) directions (1 1 1)
        Mesh has 3 solution (non-empty) directions (1 1 1)
        Boundary openness (4.06775e-18 -9.05388e-14 4.88746e-14) OK.
        Max cell openness = 1.35525e-16 OK.
        Max aspect ratio = 10 OK.
        Minimum face area = 1e-05. Maximum face area = 0.000116619.  Face area magnitudes OK.
        Min volume = 1e-07. Max volume = 1e-06.  Total volume = 1.94805.  Cell volumes OK.
        Mesh non-orthogonality Max: 26.5651 average: 0.16334
        Non-orthogonality check OK.
        Face pyramids OK.
        Max skewness = 0.361656 OK.
        Coupled point location match (average 0) OK.
    
    Mesh OK.
    
    End
    
    
    ? file icon checkMeshLog (3,123 bytes) 2018-06-08 07:43 +
  • zip file icon screenshots_new.zip (500,606 bytes) 2018-06-08 15:17
  • zip file icon TestCase_mbuergle_new.orig.zip (43,436 bytes) 2018-06-19 18:09
  • ? file icon log.twoPhaseEulerFoam (141,169 bytes) 2018-06-19 19:28

-Relationships
+Relationships

-Notes

~0009683

henry (manager)

We do not support forks of OpenFOAM, please upgrade to an official release from the OpenFOAM Foundation: OpenFOAM-5.x or better OpenFOAM-dev and let us know if the problem persists.

~0009693

mbuergle (reporter)

Thank you for the quick response. I will try to reproduce the problem with OpenFOAM-dev, but i will need a few days.

~0009720

mbuergle (reporter)

Unfortunately the problem persists with OpenFOAM-dev. Here is updated Link to the problem case: https://polybox.ethz.ch/index.php/s/iVAxq94Y6TNFNmA
Best regards

~0009721

chris (manager)

checkMesh hangs on your 2M cell mesh on my machine. Did you run checkMesh successfully? If not, you cannot run CFD on it.

~0009722

mbuergle (reporter)

I was able to run checkMesh successfully and without any warnings. I think the mesh should not be the problem, since the same geometry setup but with the LaheyKEpsilon/continuousGasKEpsilon turbulence models ran without any problems.

~0009723

henry (manager)

Can you reproduce the problem on a smaller case?

~0009726

mbuergle (reporter)

I reproduced the problem on a 200k mesh. To reproduce, execute: blockMesh, topoSet, createBaffles -overwrite, setFields, decomposePar and run the simulation in parallel. The patterns in the epsilonm-Field should be visible after approx. 1s runtime.

~0009798

henry (manager)

The case does not run at all:

Setting field region values
    Adding cells with center within boxes 1((-3 0 0) (0 0.2 0.25))
    Setting internal values of volScalarField alpha.water

--> FOAM FATAL IO ERROR:
Cannot find patchField entry for gate_master

It appears that the field files are not consistent with the mesh.

~0009799

henry (manager)

Please provide a case with a Allrun/Allclean scripts which can simply be executed and make sure it runs before posting to save time. For examples of how to write these scripts see the many tutorial cases which provide them.

~0009800

mbuergle (reporter)

It seems i uploaded a wrong version of the TestCase. I apologize for this mistake. I added an Allrun file that i tested without Error messages. Best regards

~0009801

henry (manager)

Last edited: 2018-06-19 19:43

View 2 revisions

The case still does not run in OpenFOAM-dev, see attached log. Could you provide the log of your run in OpenFOAM-dev?

The issue is with a clang build, the case runs when compiled with gcc.

~0009802

henry (manager)

I have completed the run in parallel and reconstructed and the results look fine, I don't see any issues with epsilonm.
+Notes

-Issue History
Date Modified Username Field Change
2018-06-01 15:42 mbuergle New Issue
2018-06-01 15:42 mbuergle File Added: screenshots.zip
2018-06-01 15:42 mbuergle Tag Attached: mixtureKEpsilon
2018-06-01 15:42 mbuergle Tag Attached: twoPhaseEulerFoam
2018-06-01 15:56 henry Note Added: 0009683
2018-06-02 14:32 mbuergle Note Added: 0009693
2018-06-04 10:43 mbuergle File Added: screenshots-2.zip
2018-06-04 10:52 mbuergle Issue cloned: 0002970
2018-06-04 10:53 mbuergle Note Added: 0009701
2018-06-04 11:37 henry Note Deleted: 0009701
2018-06-04 11:37 henry Priority high => low
2018-06-04 11:37 henry Severity major => minor
2018-06-04 11:37 henry Product Version 5.0 => dev
2018-06-07 16:19 mbuergle Note Added: 0009720
2018-06-07 17:35 chris Note Added: 0009721
2018-06-08 07:43 mbuergle File Added: checkMeshLog
2018-06-08 07:51 mbuergle Note Added: 0009722
2018-06-08 08:01 henry Note Added: 0009723
2018-06-08 15:07 mbuergle File Added: TestCase_mbuergle.orig.zip
2018-06-08 15:17 mbuergle File Added: screenshots_new.zip
2018-06-08 15:20 mbuergle Note Added: 0009726
2018-06-19 15:01 henry Note Added: 0009798
2018-06-19 15:06 henry Note Added: 0009799
2018-06-19 18:09 mbuergle File Added: TestCase_mbuergle_new.orig.zip
2018-06-19 18:09 mbuergle Note Added: 0009800
2018-06-19 19:22 henry File Deleted: TestCase_mbuergle.orig.zip
2018-06-19 19:28 henry File Added: log.twoPhaseEulerFoam
2018-06-19 19:28 henry Note Added: 0009801
2018-06-19 19:43 henry Note Edited: 0009801 View Revisions
2018-06-19 22:33 henry Note Added: 0009802
2018-06-25 18:50 henry Assigned To => henry
2018-06-25 18:50 henry Status new => closed
2018-06-25 18:50 henry Resolution open => unable to reproduce
+Issue History